GST Certificate Extraction API
Introduction
Every taxpayer who has successfully registered under GST is issued a GST registration certificate in form GST REG-06. The registration certificate is available for downloading only on the GST Portal, and the government does not issue any physical certificate.
The following information will be extracted :
- Registration Status
- CST Status
- PAN
- Dealer's Name
- Dealer's Address
- Registration Date
- Cancellation Date
How to call the API
You will need to login before sending an Extraction request for a GSTN certificate. You are required to pass the access token received from the login call, as an authorization header in the Extraction request apart from the JSON body parameters.
API Input Guidelines
Need to provide a valid GST certificate in PDF format
Sample CURL
curl --location --request POST '<https://signzy.tech/api/v2/patrons/..patronId../gstextractions'> \
--header 'Authorization: <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"essentials": {
"files": [
"<URL of PDF>"
]
}
}'Response Parameters
PARAMETER NAME | DESCRIPTION |
|---|---|
essentials | This parameter contains the essential data for generating output. |
essentials.files | This parameter contains the URL of the uploaded image for GST Certificate. |
id | The access token generated during login request is held here. |
patronId | This parameter is returned as userId parameter of login request. |
result | The final response parameters to be displayed are contained here. |
result.gstDetails | The GST Certificate details are contained in this parameter. |
gstDetails.addressOfPrincipalPlaceOfBusiness | The primary address of the principal place of business is displayed by this parameter. |
gstDetails.address | All the addresses of the primary establishment of business are shown by this parameter in detail. |
gstDetails.splitAddress | This parameter distinguishes the various parts of the address of the primary business establishment into separate categories like district, state, city, pincode and country. For the country category, acceptable values are “IN”,”IND”and”INDIA”. |
splitAddress.addressLine | The first line of the registered address is displayed by this parameter. |
result.businessPlaces | This parameter shows the addresses of the other business places (like branch offices). |
businessPlaces.address | The addresses of the business places (multiple if more than one address) are shown in this parameter. |
businessPlaces.splitAddress | This parameter distinguishes the various parts of the address of the business places into separate categories like district, state, city, pincode and country. For the country category, acceptable values are “IN”,”IND”and”INDIA”. |
splitAddress.addressLine | The first line of the address of business place is displayed by this parameter. |
result.constitutionOfBusiness | This parameter determines whether the GST Certificate has been issued to a public or private limited company. |
result.dateOfIssue | The date of issue of the GST Certificate. |
result.dateOfLiability | The date of liability that is recorded for the uploaded GST Certificate. |
result.directorInfo | The director information of the organization to which the GST Certificate has been issued. |
directorInfo.photo | The image URL of the director photo. |
directorInfo.resident | The residential address of the director. |
directorInfo.name | The name of the director as registered with the GST Certificate. |
directorInfo.designation | The specific designation that is assigned to the director is displayed by this parameter. |
result.gstNumber | The GST Number as available on the GST Certificate. |
result.jurisdictionalOffice | This parameter contains the details, if any, about the jurisdictional office of the company/organization. |
result.legalName | The legal/official name of the company as registered with the GSTIN. |
result.name | The common name of the company, especially if it is different from the legal name, is displayed here. |
result.registrationType | The type of registration done for the company under GST. |
result.tradeName | The name of the trade company is displayed here.(If different from name or legal name.) |
result.validFrom | The date from which the GST Certificate is valid. |
result.validTo | The date upto which the GST Certificate is valid. |
result.dscDetails | This parameter contains the details about the digital GST certificate for authenticity. |
dscDetails.isSigned | This parameter checks whether the certificate is signed or not. |
dscDetails.hashCode | The hash code that is attached to the digital certificate is displayed by this parameter. |
dscDetails.name | The name on the GST Certificate. |
dscDetails.signDate | The date of signature as available on the GST Certificate is verified and displayed by this parameter. |
dscDetails.signTime | The time of signature as available on the GST Certificate is verified and displayed by this parameter. |
dscDetails.signatureDetails | The parameter verifies and displays the details of the available signature on the GST Certificate. |
signatureDetails.documentRevision | This parameter displays the number of times the signature on the document has been revised or changed. |
signatureDetails.doesSignatureCoversFullDocument | This parameter verifies whether the signature covers the full length of the GST Certificate. |
signatureDetails.totalDocumentRevisions | This shows the total count of document revisions made. |
signatureDetails.certificateInfo | This parameter shows even more details about the GST Certificate regarding validity of the document. |
certificateInfo.certificateNumber | The certificate number as available on the uploaded GST Certificate is shown here. |
certificateInfo.subject | The subject of the certificate is displayed by this parameter. |
certificateInfo.certificateValidity | The validity of the certificate is verified and displayed by this parameter. |
certificateInfo.certificateTimeValidity | The time validity of the GST Certificate is verified and displayed by this parameter. |
certificateInfo.validFrom | The date from which the digital certificate is valid. |
certificateInfo.issuer | The issuing authority of the certificate is displayed here. |
certificateInfo.validTo | The date up to which the digital certificate is valid. |
result.integrityCheck | The integrity check status of the certificate is displayed by this parameter. |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].